%Ottimizzazione del Controllore
%Specifiche:
%1) Errore di Regime Nullo
%2) Tempo di Salita inferiore a 50ms
%3) Overshoot infeiore al 20%
%4) Tempo di Assestamento inferiore a 0.5s



Kp=0.233;
%Kp=0.433;
Ti=0.1;
Td=0.025;
%Td=0.045;
%Td=0.065;
%Td=0.085;
N=20;


numGc=[(Td/N+Td) (1+Td/(Ti*N)) 1/Ti];
denGc=[Td/N 1 0];

Gc=tf(Kp*numGc,denGc)


%Sistema
numG2=1208;
denG2=[1 15 50];
G2=tf(numG2,denG2);

Gd=Gc*G2;

W=feedback(Gd,1);
figure
step(W,0:0.001:2);
