%Traccia i diagrammi di Bode
%del sistema controllato e stabilizzato 
%chiuso in reazione unitaria

%Controllore
numGc=9.1*[1 11.68 112.03];
denGc=[1 235.3 0];
Gc=tf(numGc,denGc);

%Sistema Stabilizzato e Ridotto
numG2=[1208];
denG2=[1 15 50];
G2=tf(numG2,denG2);

%Sistema chiuso in reazione unitaria
W=feedback(Gc*G2,1)

bode(W,{0.01,1E4},'r');


